## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/event.h File Reference

Event system related helpers. More...

`#include "csextern.h"`
`#include "iutil/event.h"`

Go to the source code of this file.

## Classes

class | csCommandEventHelper
| Helper class to conveniently deal with command events. More...
class | csInputEventHelper
| Helper class to conveniently pull generic data out of input events. More...
class | csJoystickEventHelper
| Helper class to conveniently deal with joystick events. More...
class | csKeyEventHelper
| Helper class to conveniently deal with keyboard events. More...
class | csMouseEventHelper
| Helper class to conveniently deal with mouse events. More...

## Detailed Description

Event system related helpers.

Definition in file event.h.